package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 分享表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShare对象", description="分享表")
public class TaShare implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "分享ID")
    @TableId(value = "share_id", type = IdType.AUTO)
    private Integer shareId;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "资源类型")
    private String targetType;

    @ApiModelProperty(value = "资源ID")
    private String targetId;

    @ApiModelProperty(value = "分享地址")
    private String shareUrl;

    @ApiModelProperty(value = "访问时间")
    private LocalDateTime createDate;


}
