package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 行程表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaTravel对象", description="行程表")
public class TaTravel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "行程ID")
    @TableId(value = "travel_id", type = IdType.UUID)
    private String travelId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "天数")
    private Integer dayNum;

    @ApiModelProperty(value = "是否命定行程")
    private Boolean isDestiny;

    @ApiModelProperty(value = "是否系统内定")
    private Boolean isSystem;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
