package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 行程地点
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaTravelItem对象", description="行程地点")
public class TaTravelItem implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "项目地点ID")
    @TableId(value = "item_id", type = IdType.UUID)
    private String itemId;

    @ApiModelProperty(value = "行程ID")
    private String travelId;

    @ApiModelProperty(value = "第几天")
    private Integer dayOrder;

    @ApiModelProperty(value = "对象类型")
    private String targetType;

    @ApiModelProperty(value = "对象ID")
    private String targetId;

    @ApiModelProperty(value = "权重")
    private Integer sortNo;
}
