package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotel;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.vo.HotelListVO;
import com.yunzhi.shigongli.vo.HotelQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 民宿 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaHotelMapper extends BaseMapper<TaHotel> {

    IPage<HotelListVO> getVOPageBy(IPage<HotelListVO> pg, @Param("hotelName") String hotelName);

    List<HotelListVO> getVOListBy(@Param("hotelName") String hotelName);

    List<TaHotel> getListByPerson(@Param("personId") String personId);

    IPage<HotelQueryVO> queryHotelPaged(IPage<HotelQueryVO> pg, @Param("hotelName") String hotelName, @Param("startDate") String startDate, @Param("endDate") String endDate);

    List<HotelQueryVO> queryHotelList(@Param("hotelName") String hotelName, @Param("startDate") String startDate, @Param("endDate") String endDate);
}
