package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.shigongli.entity.TaNoteResource;
import com.yunzhi.shigongli.entity.TaResource;
import com.yunzhi.shigongli.mapper.TaNoteResourceMapper;
import com.yunzhi.shigongli.service.ITaNoteResourceService;
import com.yunzhi.shigongli.vo.ResourceListVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 笔记资源 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaNoteResourceServiceImpl extends BaseServiceImpl<TaNoteResourceMapper, TaNoteResource> implements ITaNoteResourceService {

    @Override
    public boolean updateResource(String noteId, List<TaNoteResource> resourceList) throws Exception {
        // 先删除原来的
        QueryWrapper<TaNoteResource> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("note_id", noteId);
        remove(queryWrapper);

        // 再插入
        for (TaNoteResource noteResource : resourceList) {
            noteResource.setNoteId(noteId);
            noteResource.setSerialNo(null);
        }

        return saveBatch(resourceList);
    }

    @Override
    public List<TaNoteResource> getListBy(String noteId) {
        QueryWrapper<TaNoteResource> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("note_id", noteId);

        return list(queryWrapper);
    }

    @Override
    public List<ResourceListVO> getResourceListBy(String noteId, String personId) {
        return baseMapper.getResourceListBy(noteId, personId);
    }
}
