package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yunzhi.shigongli.entity.TaHotelWorker;
import com.yunzhi.shigongli.entity.TaRoom;
import com.yunzhi.shigongli.entity.TaShopWorker;
import com.yunzhi.shigongli.mapper.TaRoomMapper;
import com.yunzhi.shigongli.service.ITaRoomService;

import com.yunzhi.shigongli.vo.RoomListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 房源 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaRoomServiceImpl extends BaseServiceImpl<TaRoomMapper, TaRoom> implements ITaRoomService {

    @Autowired
    TaRoomMapper taRoomMapper;

    @Override
    public IPage<RoomListVO> getPageListBy(IPage<RoomListVO> pg, String plat, String hotelId, String roomName) {
        if (null != pg) {
            return taRoomMapper.getPageListBy(pg, plat, hotelId, roomName);
        } else {
            IPage<RoomListVO> result = new Page<>();
            List<RoomListVO> list = baseMapper.getPureListBy(plat, hotelId, roomName);
            result.setRecords(list);
            return result;
        }
    }

    @Override
    public boolean getIsExistKeeper(String roomId, String personId) {
        List<TaHotelWorker> shopWorkerList = taRoomMapper.getRoomOwners(roomId, personId);
        return null != shopWorkerList && shopWorkerList.size() > 0;
    }
}
