package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.shigongli.entity.TaTravel;
import com.yunzhi.shigongli.entity.TaTravelItem;
import com.yunzhi.shigongli.mapper.TaTravelItemMapper;
import com.yunzhi.shigongli.mapper.TaTravelMapper;
import com.yunzhi.shigongli.service.ITaTravelItemService;
import com.yunzhi.shigongli.vo.TravelItemDataVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 行程地点 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaTravelItemServiceImpl extends BaseServiceImpl<TaTravelItemMapper, TaTravelItem> implements ITaTravelItemService {

    @Autowired
    TaTravelMapper taTravelMapper;

    @Override
    public Integer getMaxNoOf(String travelId, Integer dayOrder) {
        return baseMapper.getMaxNoOf(travelId, dayOrder);
    }

    @Override
    public List<TravelItemDataVO> getTravelItemDetails(String travelId) {
        return baseMapper.getTravelItemDetails(travelId);
    }

    /**
     * 保存 行程明细
     * @param travelId
     * @param travelItemList
     * @return
     * @throws Exception
     */
    @Override
    public List<TravelItemDataVO> updateTravelItems(String travelId, List<TravelItemDataVO> travelItemList) throws Exception {

        // 先删除所有
        QueryWrapper<TaTravelItem> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("travel_id", travelId);
        remove(queryWrapper);

        // 再插入所有

        List<TaTravelItem> travelItems = new ArrayList<>();
        int cursor = 0;
        for (TravelItemDataVO item : travelItemList) {
            TaTravelItem travelItem = new TaTravelItem();
            travelItem.setTravelId(travelId);
            travelItem.setTargetType(item.getTargetType());
            travelItem.setTargetId(item.getTargetId());
            travelItem.setDayOrder(1);
            travelItem.setSortNo(cursor++);
            travelItems.add(travelItem);
        }

        // 保存明细
        saveBatch(travelItems);

        return getTravelItemDetails(travelId);
    }
}
