package com.yunzhi.shigongli.vo;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.yunzhi.shigongli.common.excelConverter.LocalDateTimeConverter;
import com.yunzhi.shigongli.common.excelConverter.MoneyConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(description = "民宿推广列表")
@Data
public class HotelCommissionVO {

    @ExcelIgnore
    @ApiModelProperty(value = "日志ID")
    private Integer logId;

    @ExcelIgnore
    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ExcelProperty(value = "推广民宿", index = 4)
    @ColumnWidth(30)
    @ApiModelProperty(value = "民宿名称")
    private String hotelName;

    @ExcelProperty(value = "订单号", index = 1)
    @ColumnWidth(30)
    @ApiModelProperty(value = "订单ID")
    private String orderId;

    @ExcelIgnore
    @ApiModelProperty(value = "子订单ID")
    private String subOrderId;

    @ExcelIgnore
    @ApiModelProperty(value = "套餐ID")
    private String packageId;

    @ExcelIgnore
    @ApiModelProperty(value = "套餐名称")
    private String description;

    @ExcelIgnore
    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ExcelIgnore
    @ApiModelProperty(value = "人员昵称")
    private String nickName;

    @ExcelProperty(value = "下单人", index = 3)
    @ColumnWidth(20)
    @ApiModelProperty(value = "人员手机号")
    private String phone;

    @ExcelProperty(value = "订单金额", converter = MoneyConverter.class, index = 2)
    @ColumnWidth(20)
    @ApiModelProperty(value = "订单金额")
    private Integer charges;

    @ExcelProperty(value = "推广收入", converter = MoneyConverter.class, index = 5)
    @ColumnWidth(20)
    @ApiModelProperty(value = "推广收入")
    private Integer commissionCharge;

    @ExcelProperty(value = "日期", converter = LocalDateTimeConverter.class, index = 0)
    @ColumnWidth(30)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;
}
