package com.yunzhi.shigongli.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.yunzhi.shigongli.common.excelConverter.MoneyConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "民宿列表")
@Data
public class HotelListVO {

    @ExcelIgnore
    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ExcelProperty(value = "民宿名称", index = 0)
    @ColumnWidth(30)
    @ApiModelProperty(value = "民宿名称")
    private String hotelName;

    @ExcelIgnore
    @ApiModelProperty(value = "logo")
    private String logo;

    @ExcelProperty(value = "员工数量", index = 1)
    @ColumnWidth(20)
    @ApiModelProperty("员工数量")
    private Integer workerNum;

    @ExcelProperty(value = "房源数", index = 2)
    @ColumnWidth(20)
    @ApiModelProperty("房源数")
    private Integer roomNum;

    @ExcelProperty(value = "佣金金额", converter = MoneyConverter.class, index = 3)
    @ColumnWidth(20)
    @ApiModelProperty("佣金金额")
    private Integer brokerageCharges;

    @ExcelProperty(value = "已结算佣金", converter = MoneyConverter.class, index = 4)
    @ColumnWidth(20)
    @ApiModelProperty("已结算佣金")
    private Integer paidCharges;

    @ExcelIgnore
    @ApiModelProperty("状态")
    private Integer status;
}
