package com.yunzhi.shigongli.vo;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yunzhi.shigongli.common.excelConverter.LocalDateTimeConverter;
import com.yunzhi.shigongli.common.excelConverter.MoneyConverter;
import com.yunzhi.shigongli.common.excelConverter.OrderStatusConverter;
import com.yunzhi.shigongli.entity.TaOrderSub;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(description = "订单内容")
@Data
public class OrderSubListVO {

    @ExcelIgnore
    @ApiModelProperty(value = "子订单ID")
    private String subOrderId;

    @ExcelProperty(value = "订单号", index = 0)
    @ColumnWidth(30)
    @ApiModelProperty(value = "主订单ID")
    private String orderId;

    @ExcelIgnore
    @ApiModelProperty(value = "商铺ID")
    private String shopId;

    @ExcelIgnore
    @ApiModelProperty(value = "套餐ID")
    private String packageId;

    @ExcelProperty(value = "标题", index = 2)
    @ColumnWidth(30)
    @ApiModelProperty(value = "子订单描述")
    private String description;

    @ExcelProperty(value = "订单金额", converter = MoneyConverter.class, index = 4)
    @ColumnWidth(20)
    @ApiModelProperty(value = "总金额;单位分")
    private Integer charges;

    @ExcelProperty(value = "数量", index = 3)
    @ColumnWidth(20)
    @ApiModelProperty(value = "数量")
    private Integer amount;

    @ExcelIgnore
    @ApiModelProperty(value = "单价;单位分")
    private Integer unitPrice;

    @ExcelIgnore
    @ApiModelProperty(value = "抽成;单位分")
    private Integer commissionCharge;

    @ExcelIgnore
    @ApiModelProperty(value = "返现金额;单位分")
    private Integer cashback;

    @ExcelIgnore
    @ApiModelProperty(value = "是否核销")
    private Boolean isVerified;

    @ExcelProperty(value = "状态", converter = OrderStatusConverter.class, index = 8)
    @ColumnWidth(20)
    @ApiModelProperty(value = "状态")
    private Integer status;

    @ExcelProperty(value = "下单时间", converter = LocalDateTimeConverter.class, index = 7)
    @ColumnWidth(30)
    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ExcelIgnore
    @ApiModelProperty(value = "核销时间")
    private LocalDateTime verifiedDate;

    @ExcelProperty(value = "所属商家", index = 1)
    @ColumnWidth(30)
    @ApiModelProperty("所属商家")
    private String shopName;

    @ExcelIgnore
    @ApiModelProperty("图片")
    private String poster;

    @ExcelIgnore
    @ApiModelProperty("用户ID")
    private String personId;

    @ExcelProperty(value = "标题", index = 5)
    @ColumnWidth(30)
    @ApiModelProperty("用户昵称")
    private String nickName;

    @ExcelProperty(value = "用户手机", index = 6)
    @ColumnWidth(20)
    @ApiModelProperty("用户手机")
    private String phone;
}
