package com.yunzhi.shigongli.vo;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.yunzhi.shigongli.common.excelConverter.MoneyConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "商铺订单列表")
@Data
public class ShopOrderVO {

    @ExcelIgnore
    @ApiModelProperty(value = "店铺ID")
    private String shopId;

    @ExcelProperty(value = "店铺名称", index = 0)
    @ColumnWidth(30)
    @ApiModelProperty(value = "店铺名称")
    private String shopName;

    @ExcelIgnore
    @ApiModelProperty(value = "套餐ID")
    private String packageId;

    @ExcelIgnore
    @ApiModelProperty(value = "套餐名称")
    private String description;

    @ExcelProperty(value = "下单金额", converter = MoneyConverter.class, index = 1)
    @ColumnWidth(20)
    @ApiModelProperty(value = "下单金额")
    private Integer charges;

    @ExcelProperty(value = "下单数量", index = 2)
    @ColumnWidth(20)
    @ApiModelProperty(value = "下单数量")
    private Integer amount;

    @ExcelProperty(value = "返现金额", converter = MoneyConverter.class, index = 3)
    @ColumnWidth(20)
    @ApiModelProperty(value = "返现金额")
    private Integer cashback;

    @ExcelProperty(value = "已核销金额", converter = MoneyConverter.class, index = 4)
    @ColumnWidth(20)
    @ApiModelProperty(value = "已核销金额")
    private Integer verfiedCharge;

    @ExcelProperty(value = "待核销金额", converter = MoneyConverter.class, index = 5)
    @ColumnWidth(20)
    @ApiModelProperty(value = "待核销金额")
    private Integer unVerfiedCharge;

    @ExcelProperty(value = "被提点金额", converter = MoneyConverter.class, index = 6)
    @ColumnWidth(20)
    @ApiModelProperty(value = "被提点金额")
    private Integer commissionCharge;

    @ExcelProperty(value = "退款金额", converter = MoneyConverter.class, index = 7)
    @ColumnWidth(20)
    @ApiModelProperty(value = "退款金额")
    private Integer refundCharge;
}
